Opened 3 years ago

Closed 3 years ago

#10772 closed defect (fixed)

xorg-xerver-1.20.0 segfaults with xfce

Reported by: Bruce Dubbs Owned by: Bruce Dubbs
Priority: normal Milestone: 8.3
Component: BOOK Version: SVN
Severity: major Keywords:
Cc:

Description

We now have xorg-xerver-1.20.0 in the book, but with the nouveau driver, it segfaults when starting xfce. I do not know about other drivers yet.

Downgrading to xorg-server-1.19.6 allows xfce to start normally, but it requires rebuilding nouveau due to an embedded version issue.

xorg-xerver-1.20.0 works fine with twm, lxde, openbox, sawfish, icewm, and fluxbox. Still to be tested are kde/plasma and lxqt.

Change History (6)

comment:1 by Bruce Dubbs, 3 years ago

lxqt works fine with xorg-xerver-1.20.0.

Found this: https://www.linuxquestions.org/questions/showthread.php?p=5853922#post5853922

Rebuilding xfwm4 with --disable-compositor allows the system to start for me.

comment:2 by Bruce Dubbs, 3 years ago

Owner: changed from blfs-book to Bruce Dubbs
Status: newassigned

comment:3 by Bruce Dubbs, 3 years ago

Resolution: fixed
Status: assignedclosed

Fixed at revision 20165.

comment:4 by thomas, 3 years ago

Is that still valid for xorg-server-1.20.1 ?

Workaround may be good for nouveau users but limits all others in functionality of Xfce.

comment:5 by Bruce Dubbs, 3 years ago

Resolution: fixed
Status: closedreopened

I'll take a look at this when I build xfce in the next day or two. Will reopen so it is not forgotten.

Do you have results with an intel or amd driver?

comment:6 by Bruce Dubbs, 3 years ago

Resolution: fixed
Status: reopenedclosed

I'm glad you brought this up. With xfwm4-4.12.5, xfce works fine without --disable-compositor.

Removed/fixed at revision 20388.

Note: See TracTickets for help on using tickets.